- Qt 6.7
- Qt GUI
- C++ Classes
- QRhiD3D12CommandBufferNativeHandles
- Qt 6.7.3 Reference Documentation

# QRhiD3D12CommandBufferNativeHandles Struct

Holds the ID3D12GraphicsCommandList1 object that is backing a QRhiCommandBuffer. More...

Header: | #include <QRhiD3D12CommandBufferNativeHandles>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Gui) target_link_libraries(mytarget PRIVATE Qt6::Gui)
qmake: | QT += gui
Inherits: | QRhiNativeHandles

- List of all members, including inherited members

## Public Variables

void * | commandList

## Detailed Description

Note: The command list object is only guaranteed to be valid, and in recording state, while recording a frame. That is, between a beginFrame() - endFrame() or beginOffscreenFrame() - endOffscreenFrame() pair.

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### void *QRhiD3D12CommandBufferNativeHandles::commandList